aboutsummaryrefslogtreecommitdiffstats
path: root/Mk/Scripts
diff options
context:
space:
mode:
Diffstat (limited to 'Mk/Scripts')
-rw-r--r--Mk/Scripts/qa.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
index e7cf6dd12199..b214f42af396 100644
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -196,10 +196,10 @@ suidfiles() {
libtool() {
if [ -z "${USESLIBTOOL}" ]; then
- find ${STAGEDIR} -type f -name '*.la' | while read f; do
+ find ${STAGEDIR} -name '*.la' | while read f; do
grep -q 'libtool library' "${f}" &&
- warn ".la libraries found, port needs USES=libtool" &&
- return 0 || true
+ err ".la libraries found, port needs USES=libtool" &&
+ return 1 || true
done
# The return above continues here.
fi